/*
 * xtim.h --
 *	POSTGRES transaction time definitions.
 *
 * Identification:
 *	$Header: /usr/local/devel/postgres/src/backend/access/RCS/xtim.h,v 1.8 1993/07/16 18:39:17 avi Exp $
 */

#ifndef	XTimIncluded	/* Include this file only once. */
#define XTimIncluded	1

#include "utils/nabstime.h"

/*
 * TransactionIdGetCommitTime --
 *	Returns commit time of transaction associated with an identifier.
 *
 * Note:
 *	Assumes transaction identifier is valid.
 */
extern
AbsoluteTime
TransactionIdGetCommitTime ARGS((
	TransactionId	transactionId
));

#endif	/* !defined(XTimIncluded) */
