#
# AIX specific stuff
#
# $Header: /usr/local/devel/postgres/src/backend/port/aix/RCS/Makefile.inc,v 1.4 1994/02/12 11:17:01 aoki Exp $
#

CFLAGS+= -DCLASS_CONFLICT -DDISABLE_XOPEN_NLS -DNEED_ISINF

LDFLAGS+= -bE:${PROG}.exp

LDADD+= -ll -lld

HEADERS+= dlfcn.h machine.h port-protos.h

SRCS+= dlfcn.c dynloader.c

${PROG}.exp: ${PROG}.noexp
	mv -f ${.ALLSRC} ${PROG}
	mkldexport ${PROG} ${BINDIR} > ${.TARGET}
	mv -f ${PROG} ${.ALLSRC}

${PROG}.noexp: ${OBJS}
	touch -f ${PROG}.exp
	${CC} ${LDFLAGS} -o ${.TARGET} ${OBJS} ${LDADD}

EXPORTS= ${PROG}.exp

CLEANFILES+= ${PROG}.noexp ${PROG}.exp
