/*
 *   FILE
 *	port-protos.h
 *
 *   DESCRIPTION
 *	prototypes for OSF/1-specific routines
 *
 *   NOTES
 *	OSF/1 provides the dlopen() interface, so most of the pg_dlopen()
 *	stuff maps directly into it.
 *
 *   IDENTIFICATION
 *	$Header: /home2/aoki/master/src/backend/port/alpha/RCS/port-protos.h,v 1.2 1993/08/10 19:50:31 aoki Exp $
 */

#include "utils/dynamic_loader.h"

/* dynloader.c */

#define	 pg_dlsym(h, f)		((func_ptr)dlsym(h, f))
#define	 pg_dlclose(h)		dlclose(h)

/* port.c */

extern init_address_fixup ARGS((void));
