#!/bin/sh
#
# $Header: /usr/local/devel/postgres/src/bin/s2kutils/s2kinit/RCS/s2kinit.sh,v 1.4 1994/03/20 03:17:53 aoki Exp $
#
CMDNAME=`basename $0`

if [ -z "$USER" ]; then
    if [ -z "$LOGNAME" ]; then
	if [ -z "`whoami`" ]; then
	    echo "$CMDNAME: cannot determine user name"
	    exit 1
	fi
    else
	USER=$LOGNAME
	export USER
    fi
fi
#
if [ \! "$PGREALM" ]; then
	echo "$CMDNAME: PGREALM not set"
	exit 1
fi

MYUID=`pg_id`
if [ \! "$KRBVERS" ]; then
	KRBVERS=_fUnKy_KrBvErS_sTuFf_
fi
if  [ "$KRBVERS" -eq 4 ]; then
	if [ "$KRBTKFILE" ]; then
		PG_TKT_FILE=$KRBTKFILE@$PGREALM
	else
		PG_TKT_FILE=/tmp/tkt$MYUID@$PGREALM
	fi
	KRBTKFILE=$PG_TKT_FILE; export KRBTKFILE
elif [ "$KRBVERS" -eq 5 ]; then
	if [ "$KRB5CCNAME" ]; then
		PG_TKT_FILE=$KRB5CCNAME@$PGREALM
	else
		PG_TKT_FILE="FILE:/tmp/krb5cc_$MYUID@$PGREALM"
	fi
	KRB5CCNAME=$PG_TKT_FILE; export KRB5CCNAME
else
	echo No Kerberos version selected
	exit 1
fi
echo "Ticket file:	$PG_TKT_FILE"

kinit $USER@$PGREALM
